<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>refinement.model.refinements.provider Class Hierarchy</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="refinement.model.refinements.provider Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/package-tree.html">Prev</a></li>
<li><a href="../../../../refinement/model/refinements/tests/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package refinement.model.refinements.provider</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.emf.common.notify.impl.AdapterFactoryImpl (implements org.eclipse.emf.common.notify.AdapterFactory)
<ul>
<li type="circle">refinement.model.refinements.util.<a href="../../../../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util"><span class="typeNameLink">RefinementsAdapterFactory</span></a>
<ul>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsItemProviderAdapterFactory</span></a> (implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.AdapterImpl (implements org.eclipse.emf.common.notify.Adapter.Internal)
<ul>
<li type="circle">org.eclipse.emf.edit.provider.ItemProviderAdapter (implements org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">ComposedRefinementsItemProvider</span></a> (implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider)</li>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementItemProvider</span></a> (implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider)</li>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsItemProvider</span></a> (implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.util.DelegatingResourceLocator (implements org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">org.eclipse.emf.common.EMFPlugin (implements org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/RefinementsEditPlugin.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsEditPlugin</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.emf.common.EMFPlugin.EclipsePlugin (implements org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator)
<ul>
<li type="circle">refinement.model.refinements.provider.<a href="../../../../refinement/model/refinements/provider/RefinementsEditPlugin.Implementation.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsEditPlugin.Implementation</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/package-tree.html">Prev</a></li>
<li><a href="../../../../refinement/model/refinements/tests/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
